Bug 246396 - devel/abseil: Update to 20200225.1
Summary: devel/abseil: Update to 20200225.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-11 20:43 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-06-28 17:41 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-11 20:43:08 UTC
Update to 20200225.1

- Build shared library
- Fix empty directories issue partially

Changes:        https://github.com/abseil/abseil-cpp/releases

Patch: https://people.FreeBSD.org/~sunpoet/patch/devel-abseil.txt
Comment 1 commit-hook freebsd_committer 2020-05-13 06:28:09 UTC
A commit references this bug:

Author: danfe
Date: Wed May 13 06:27:12 UTC 2020
New revision: 535082
URL: https://svnweb.freebsd.org/changeset/ports/535082

Log:
  - Update `devel/abseil' to version 20200225.2
  - Install shared libraries rather than static
  - Fix typo in the port description while here

  PR:		246396
  Submitted by:	sunpoet
  Reported by:	portscout (also)

Changes:
  head/devel/abseil/Makefile
  head/devel/abseil/distinfo
  head/devel/abseil/files/
  head/devel/abseil/pkg-descr
  head/devel/abseil/pkg-plist
Comment 2 commit-hook freebsd_committer 2020-05-13 06:39:13 UTC
A commit references this bug:

Author: danfe
Date: Wed May 13 06:38:31 UTC 2020
New revision: 535084
URL: https://svnweb.freebsd.org/changeset/ports/535084

Log:
  Pull small patch from the upstream (forgotten in the previous commit).

  PR:	246396

Changes:
  head/devel/abseil/Makefile
  head/devel/abseil/distinfo
Comment 3 Alexey Dokuchaev freebsd_committer 2020-05-13 06:43:53 UTC
Committed, thanks!  I didn't quite understand how exactly "fix empty directories issue partially" is an improvement, so I've omitted that part.  I see you're in contact with upstream (can commit to their GitHub repo) so maybe you guys together could figure out how to sort it out properly, without the ugly hacks in the port's Makefile.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-06-03 13:46:10 UTC
(In reply to Alexey Dokuchaev from comment #3)

I made a workaround for this cmake behavior.
It has been merged by upstream [1].
Then you could remove post-install:

[1] https://github.com/abseil/abseil-cpp/commit/8faf20461f6ad0f99d23270067fb28234f224ad9
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-06-24 14:55:13 UTC
Reopen this PR for empty directories fix in comment #4.

The patch: https://people.FreeBSD.org/~sunpoet/patch/devel-abseil.txt
Comment 6 Alexey Dokuchaev freebsd_committer 2020-06-28 07:53:56 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #5)
> Reopen this PR for empty directories fix in
I appreciate the effort, but admittedly, I don't see how does it improve things as they are now.  Why not just wait until new version is released, provided the new (correct) code is included upstream?  Until then, `post-install' target is sufficient, no?
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-06-28 17:41:53 UTC
That's OK. It's up to your consideration. I'll close this PR.